# $Revision: 1.179 $, $Date: 2012/06/13 13:14:33 $
#
# TODO: package kde4 component
#
# Conditional build:
%bcond_with	license_agreement	# generates package

%define		ver32	11.2.202.236
%define		ver64	11.2.202.236

%ifarch %{ix86}
%define		version	%{ver32}
%define		libmark	%{nil}
%endif
%ifarch %{x8664}
%define		version	%{ver64}
%define		libmark	()(64bit)
%endif

%define		base_name	adobe-flash
%define		rel 1
Summary:	Flash plugin for Netscape-compatible WWW browsers
Summary(pl.UTF-8):	Wtyczka Flash dla przeglądarek WWW zgodnych z Netscape
%if %{with license_agreement}
Name:		%{base_name}
%else
Name:		%{base_name}-installer
%endif
Version:	%{version}
Release:	%{rel}%{?with_license_agreement:wla}
Epoch:		1
License:	Free to use, non-distributable
Group:		X11/Applications/Multimedia
%if %{with license_agreement}
Source0:	http://fpdownload.macromedia.com/get/flashplayer/pdc/%{ver32}/install_flash_player_11_linux.i386.tar.gz#/flash-%{version}.tgz
# NoSourceSource0-md5:	9f0e97cae13bae7a490b0505a543b373
NoSource:	0
Source1:	http://fpdownload.macromedia.com/get/flashplayer/pdc/%{ver64}/install_flash_player_11_linux.x86_64.tar.gz#/flash64-%{version}.tgz
# NoSourceSource1-md5:	d508ebb81be22585bf79df75908247c7
NoSource:	1
%else
Source3:	http://svn.pld-linux.org/svn/license-installer/license-installer.sh
# Source3-md5:	329c25f457fea66ec502b7ef70cb9ede
%endif
Source2:	mms.cfg
URL:		http://www.adobe.com/products/flashplayer/
Patch0:		desktop.patch
%if %{with license_agreement}
BuildRequires:	rpmbuild(macros) >= 1.357
BuildRequires:	sed >= 4.0
Requires:	browser-plugins >= 2.0
Requires:	hicolor-icon-theme
# dlopened by player
Requires:	libasound.so.2%{libmark}
Requires:	libcurl.so.4%{libmark}
%else
Requires:	rpm-build-tools >= 4.4.37
Requires:	rpmbuild(macros) >= 1.544
%endif
Provides:	browser(flash)
Provides:	macromedia-flash
Obsoletes:	flash-plugin
Obsoletes:	konqueror-plugin-macromedia-flash
Obsoletes:	macromedia-flash
Obsoletes:	mozilla-firefox-plugin-macromedia-flash
Obsoletes:	mozilla-plugin-macromedia-flash
ExclusiveArch:	%{ix86} %{x8664}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/adobe

# So that building package on AC system won't write package name dep that Th system can't understand (libstdc++4)
%define		_noautoreqdep	libstdc++.so.6

# No debuginfo to be stored
%define		_enable_debug_packages	0

%description
Adobe(R) Flash(R) Player for Linux - the next-generation client
runtime for engaging with Flash content and applications on Linux.

%description -l pl.UTF-8
Adobe(R) Flash(R) Player - środowisko nowej generacji do obsługi
treści i aplikacji we Flashu pod Linuksem.

%prep
%if %{with license_agreement}
%ifarch %{x8664}
%setup -q -T -c -b 1
%else
%setup -q -T -c -b 0
%endif
%patch0 -p1

%build
s=$(echo 'LNX %{version}' | tr . ,)
v=$(strings libflashplayer.so | grep '^LNX ')
if [ "$v" != "$s" ]; then
	: wrong version
	exit 1
fi
%endif

%install
rm -rf $RPM_BUILD_ROOT
%if %{without license_agreement}
install -d $RPM_BUILD_ROOT{%{_bindir},%{_datadir}/%{base_name}}

sed -e '
	s/@BASE_NAME@/%{base_name}/g
	s/@TARGET_CPU@/%{_target_cpu}/g
	s-@VERSION@-%{version}-g
	s-@RELEASE@-%{release}-g
	s,@SPECFILE@,%{_datadir}/%{base_name}/%{base_name}.spec,g
	s,@DATADIR@,%{_datadir}/%{base_name},g
' %{SOURCE3} > $RPM_BUILD_ROOT%{_bindir}/%{base_name}.install

cp -p %{_specdir}/%{base_name}.spec $RPM_BUILD_ROOT%{_datadir}/%{base_name}

%else

install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_browserpluginsdir},%{_bindir},%{_desktopdir},%{_iconsdir}}
cp -p %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/mms.cfg
install -p *.so $RPM_BUILD_ROOT%{_browserpluginsdir}
install usr/bin/flash-player-properties $RPM_BUILD_ROOT%{_bindir}
install usr/share/applications/flash-player-properties.desktop $RPM_BUILD_ROOT%{_desktopdir}/flash-player-properties.desktop
cp -a usr/share/icons/* $RPM_BUILD_ROOT%{_iconsdir}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{without license_agreement}
%post
%{_bindir}/%{base_name}.install
%else
%post
%update_browser_plugins
%update_icon_cache hicolor

%postun
if [ "$1" = 0 ]; then
	%update_browser_plugins
fi
%update_icon_cache hicolor
%endif

%files
%defattr(644,root,root,755)
%if %{without license_agreement}
%attr(755,root,root) %{_bindir}/%{base_name}.install
%{_datadir}/%{base_name}
%else
%dir %{_sysconfdir}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/mms.cfg
%attr(755,root,root) %{_bindir}/flash-player-properties
%attr(755,root,root) %{_browserpluginsdir}/*.so
%{_desktopdir}/flash-player-properties.desktop
%{_iconsdir}/hicolor/*/apps/*.png
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: adobe-flash.spec,v $
Revision 1.179  2012/06/13 13:14:33  glen
- unique filenames with 32/64 arch

Revision 1.178  2012/06/13 13:12:06  glen
- use versioned filenames to catch updates to spec

Revision 1.177  2012/06/13 12:03:55  draenog
- up to 11.2.202.236; fixes CVE-2012-2034, CVE-2012-2035, CVE-2012-2036,
  CVE-2012-2037, CVE-2012-2038, CVE-2012-2039, CVE-2012-2040

Revision 1.176  2012/06/07 15:50:55  glen
- ver macros

Revision 1.175  2012/05/09 20:22:46  blekot
- up to 11.2.202.235

Revision 1.174  2012/04/25 10:59:54  blekot
- up to 11.2.202.233

Revision 1.173  2012/03/31 16:09:47  zawadaa
- up to 11.2.202.228

Revision 1.172  2012/03/04 10:50:32  glen
- flash-player-properties is not GNOME specific, it's just GTK app

Revision 1.171  2012/03/04 10:47:04  glen
- why flash-player-properties was disabled in r1.166? add back

Revision 1.170  2012/02/29 20:51:35  kiesiu
- updated to RC1 (11.2.202.221)

Revision 1.169  2012/02/08 19:03:50  arekm
- beta5

Revision 1.168  2012/01/29 12:51:16  kiesiu
- updated to labs 11.2.202.183 version (Beta 4)

Revision 1.167  2011/11/17 12:48:13  glen
- always tag mms.cfg on builders, regardless of wla bcond

Revision 1.166  2011/10/28 19:34:52  arekm
- up to labs version 11.2.202.19

Revision 1.165  2011/10/09 20:59:40  wiget
- up to 11.0.1.152

Revision 1.164  2011/09/09 09:09:57  matkor
- Up to  11.0.1.129. (rc1)

Revision 1.163  2011/09/03 10:04:43  arekm
- rel 2; missing endif readded

Revision 1.162  2011/09/01 11:52:43  arekm
- memmove hack seems no longer needed

Revision 1.161  2011/08/13 22:20:55  charles
- up to 11.0.1.98 (beta 2)

Revision 1.160  2011/07/14 17:37:00  arekm
- rel 1; kde stuff not really needed (just kcm integration); package flash-player-properties

Revision 1.159  2011/07/14 15:40:29  arekm
- up to 11.0.1.60 (TODO: package flash-player-properties binary, kde4 plugin, desktop files etc)

Revision 1.158  2011/07/08 09:22:24  glen
- suggestion from samchi

Revision 1.157  2011/07/07 21:49:39  glen
- consistent filenames regardless of arch

Revision 1.156  2011/07/07 21:41:18  glen
- use versioned url

Revision 1.155  2011/07/07 21:38:50  glen
- up to 10.3.181.34 for 32bit, see for changes: http://kb2.adobe.com/cps/901/cpsid_90194.html#main_10.3.181.34

Revision 1.154  2011/06/16 01:33:38  charles
- up to 10.3.181.26 for 32bit; fixes CVE-2011-2110

Revision 1.153  2011/06/06 18:43:38  charles
- up to 10.3.181.22 for 32bit; fixes CVE-2011-2107

Revision 1.152  2011/05/12 22:49:48  charles
- up to 10.3.181.14 for 32bit

Revision 1.151  2011/04/27 06:52:32  charles
- up to 10.3.181.5 (10.3 RC1) for x86

Revision 1.150  2011/04/22 20:39:00  mmazur
- up to 10.2.159.1 for x86

Revision 1.149  2011/03/26 00:18:39  charles
- 10.2.153.1 for 32bit

Revision 1.148  2011/03/06 15:44:11  arekm
- 64bit flash need to be 'patched' to avoid audio problems with glibc 2.13

Revision 1.147  2011/02/21 16:25:54  glen
- move mms.cfg to package as source

Revision 1.146  2011/02/08 20:19:39  glen
- 32bit up to 10.2.152.27
- use simple version macro

Revision 1.145  2010/12/06 13:32:17  glen
- md5 fix

Revision 1.144  2010/12/05 16:39:04  arekm
- fix 32bit ver (weird, it's lower than before)

Revision 1.143  2010/12/03 16:31:15  arekm
- 10.3.162.29 for 64bit

Revision 1.142  2010/10/02 16:50:06  arekm
- up to 10.2.161.23 by Daniel Dawid Majewski

Revision 1.141  2010/09/26 10:46:34  glen
- simplify version check for matching newer versions

Revision 1.140  2010/09/16 19:41:18  lmasko
- Also up to 10.2.161.22 for 32bit version

Revision 1.139  2010/09/16 11:43:41  arekm
- revert non-square md5

Revision 1.138  2010/09/16 11:32:04  arekm
- up to 10.2.161.22 (64bit version)

Revision 1.137  2010/08/18 07:03:45  glen
- fix md5

Revision 1.136  2010/08/14 11:18:55  draenog
- up to 10.1.82.76 (fixes CVE-2010-0209, CVE-2010-2188, CVE-2010-2213,
  CVE-2010-2214, CVE-2010-2215, CVE-2010-2216

Revision 1.135  2010/07/28 09:55:13  glen
- use rpmbuild(macros) virtual, not direct package name

Revision 1.134  2010/06/12 18:27:09  arekm
- rel 1; final; no x86_64 version

Revision 1.133  2010/06/10 07:01:02  zawadaa
- security - look at:
- http://www.adobe.com/support/security/advisories/apsa10-01.html
- up to 10.1 RC7 - ver 10.1.53.64
- but only for x86_32

Revision 1.132  2010/05/13 19:27:39  sparky
- mark binary sources as nosource

Revision 1.131  2010/04/04 18:32:12  pawelz
- license-installer.sh updated to r11289
- rel 2

Revision 1.130  2010/02/11 19:42:14  gotar
- upgraded to 10.0.45.2

Revision 1.129  2009/12/26 11:39:59  pawelz
- parse @DATADIR@ macro in license-installer.sh

Revision 1.128  2009/12/26 11:30:39  pawelz
- license-installer.sh moved to DistFiles

Revision 1.127  2009/12/09 20:15:23  arekm
- md5

Revision 1.126  2009/12/09 19:57:47  arekm
- up to 10.0.42.34

Revision 1.125  2009/08/09 19:57:24  arekm
- rel 3; and require rpm-build-tools >= 4.4.35

Revision 1.124  2009/08/09 19:56:10  arekm
- rel 2; fix installer script

Revision 1.123  2009/07/31 11:25:34  glen
- version check

Revision 1.122  2009/07/31 11:22:21  glen
- fix 32bit package

Revision 1.121  2009/07/31 11:20:06  glen
- simplify

Revision 1.120  2009/07/31 07:40:30  arekm
- up to 10.0.32.18

Revision 1.119  2009/05/01 16:37:59  adamg
- CVE entries for 10.0.22.87

Revision 1.118  2009/04/29 13:15:56  glen
- correct changelog

Revision 1.117  2009/04/29 11:44:48  gotar
- upgraded ix86 to 10.0.22.87
  [ 10.0.22.87 fixes CVE-2009-0519, CVE-2009-0520, CVE-2009-0522,
    CVE-2009-0114, CVE-2009-0521 ]

Revision 1.116  2009/03/07 20:09:25  djurban
- update x64 beta to 10.0.22.87
- bump epoch to 1: d27 (old) > 22 (new)

Revision 1.115  2008/12/23 10:12:28  blues
- CVE note

Revision 1.114  2008/12/18 07:48:36  hawk
- updated to 10.0.15.3, x86_64 version updated to 10.0.7.d21.1
  fixes: CVE-2008-5499

Revision 1.113  2008/11/17 18:52:27  qboosh
- and version numbers
- and 64-bit libmarks

Revision 1.112  2008/11/17 18:48:47  qboosh
- fixed source numbers

Revision 1.111  2008/11/17 18:45:47  arekm
- beta version of 64-bit plugin

Revision 1.110  2008/11/11 19:59:17  blues
- multiple CVE notes

Revision 1.109  2008/11/04 09:20:45  glen
- libcurl.so.4 searched too, so no sed hack needed

Revision 1.108  2008/11/04 09:08:20  glen
- wtf!? reverted because:
  $ grep -c libtasn1.so libflashplayer.so -> 0

Revision 1.107  2008/11/04 07:57:11  kosmo
- added missing R: libtasn1.so.3

Revision 1.106  2008/10/20 08:28:28  blues
- CVE notes

Revision 1.105  2008/10/15 18:00:44  glen
- NOTE: requires libc.so.6(GLIBC_2.4)

Revision 1.104  2008/10/15 17:58:03  glen
- libnss3.so is not dlopened, but linked with library

Revision 1.103  2008/10/15 15:26:06  cactus
- up to stable 10.0.12.36 (version from download page)
- BR: libnss3.so
- fixes: CVE-2007-4324, CVE-2007-6243, CVE-2008-3873, CVE-2008-4401, CVE-2008-4503

Revision 1.102  2008/10/13 18:06:42  qboosh
- use CVE numbers where possible; 9.0.124 was still affected by this one

Revision 1.101  2008/10/13 12:43:54  blues
- security note for 9.0.124

Revision 1.100  2008/10/03 16:22:17  arekm
- another dlopened file

Revision 1.99  2008/09/24 11:55:03  glen
- _noautoreqdep on libstdc++.so.6

Revision 1.98  2008/09/16 17:54:32  arvenil
- up to next RC release (091508)

Revision 1.97  2008/08/18 21:32:43  glen
- it's v10 already

Revision 1.96  2008/08/14 17:25:43  glen
- libcurl.so.3 -> libcurl.so.4, seems working as i see in about:plugins - Shockwave Flash 10.0.0 d569; rel 4

Revision 1.95  2008/08/14 05:55:39  arekm
- another url with doc

Revision 1.94  2008/08/14 05:52:14  arekm
- gpu override option

Revision 1.93  2008/08/14 00:44:47  glen
- release 3

Revision 1.92  2008/08/13 20:23:31  cactus
- up tu 10 RC (build 569)

Revision 1.91  2008/07/03 12:04:07  blues
- rel.2

Revision 1.90  2008/07/03 12:03:25  blues
- beta2

Revision 1.89  2008-05-15 17:44:40  arekm
- 10.0 b218
  [fixes: APSA08-08/CVE-2008-4503, CVE-2008-4823, CVE-2008-4822, CVE-2008-4821, CVE-2008-4819, CVE-2008-4818]

Revision 1.88  2008-04-10 14:12:07  glen
- disable debuginfo

Revision 1.87  2008-04-10 14:08:57  glen
- release 2

Revision 1.86  2008-04-10 13:26:18  arekm
- solves CVE-2007-5275, CVE-2007-6243, CVE-2007-6637, CVE-2007-6019, CVE-2007-0071, CVE-2008-1655, CVE-2008-1654

Revision 1.85  2008-04-10 13:24:52  arekm
- up to 9.0.124
- fixes: CVE-2007-5275, CVE-2007-6243, CVE-2007-6637, CVE-2007-6019, CVE-2007-0071, CVE-2008-1655, CVE-2008-1654, CVE-2008-4820

Revision 1.84  2007-12-25 16:58:54  glen
- word-wrap

Revision 1.83  2007-12-24 09:56:21  blues
- sort CVE

Revision 1.82  2007-12-20 18:15:56  arekm
- up to 9.0.115.0 on head, too.
  Fixes CVE-2007-4324, CVE-2007-4768, CVE-2007-5275, CVE-2007-5476,
  CVE-2007-6242, CVE-2007-6243, CVE-2007-6244, CVE-2007-6245, CVE-2007-6246.

Revision 1.81  2007-12-10 22:52:24  glen
- avoid duplicate NoSource0-md5

Revision 1.80  2007-12-10 22:50:41  glen
- revert update to 9.0.115.0 beta on HEAD (no response from areq why i can't do it)

Revision 1.78  2007-07-13 06:47:47  aflinta
- it's better to use official release than nonworking beta

Revision 1.77  2007/06/17 14:22:23  glen
- it's 9.0 r60 according to about:plugins

Revision 1.76  2007/06/16 11:09:04  arekm
- 9 beta 3 (real version scheme unknown

Revision 1.75  2007/04/17 19:10:50  glen
- this way it's better

Revision 1.74  2007/02/25 12:59:30  blues
- provides browser(flash)

Revision 1.73  2007/02/12 22:09:09  glen
- tabs in preamble

Revision 1.72  2007/02/12 01:06:25  baggins
- converted to UTF-8

Revision 1.71  2007/01/21 22:09:21  qboosh
- somehow informative desc instead of advertisement

Revision 1.70  2007/01/18 15:54:18  blues
- it provides macromedia-flash too

Revision 1.69  2007/01/18 12:19:45  glen
- correct base_name

Revision 1.68  2007/01/18 12:01:10  glen
- obsoletes macromedia-flash

Revision 1.67  2007/01/17 13:57:35  glen
- update URL

Revision 1.66  2007/01/17 11:59:20  arekm
- final 9.0.31.0

Revision 1.65  2007/01/10 21:30:28  glen
- disable autoupdate

Revision 1.64  2007/01/10 11:40:43  glen
- browser-plugins v2; rel 2

Revision 1.63  2007/01/09 21:58:52  glen
- update URL

Revision 1.62  2006/11/21 15:53:26  shadzik
- ups, it's rel 1 of course

Revision 1.61  2006/11/21 15:52:15  shadzik
- flash 9 beta 2 for linux (9.0.21.78)
- Source from adobe.com

Revision 1.60  2006/11/13 15:00:11  sparky
- don't use %{without ...}, it may not work after inverting bcond

Revision 1.59  2006/10/30 17:28:49  shadzik
- add mozilla-firefox-bin support
- rel up

Revision 1.58  2006/10/19 13:03:46  glen
- md5 restored

Revision 1.57  2006/10/19 13:03:22  glen
- longer description copied from webpage
- version check not neccessary, the source includes dir with version

Revision 1.56  2006/10/19 12:52:10  arekm
- let's try 9.0.21.55

Revision 1.55  2006/09/17 20:39:41  glen
- change source0 to include version

Revision 1.54  2006/09/16 11:05:09  glen
- add version check, as url without version you could fetch cache copy of old version
- should restore the versioned url, really

Revision 1.53  2006/09/16 08:48:37  paszczus
- updated to 7.0.68 (fixes several security vulnerabilities as reported in Adobe Vulnerability APSB06-11)
  CVE-2006-3311 CVE-2006-3587 CVE-2006-3588
- changed Source0 URL

Revision 1.52  2006/05/19 23:59:26  baggins
- rel 6
- fix mozilla triggers

Revision 1.51  2006/05/14 13:07:36  blues
- release 5 - install everything what is needed for seamonkey

Revision 1.50  2006/05/04 21:10:27  glen
- browser-plugins(%{_target_base_arch}), rel 4

Revision 1.49  2006/04/22 18:50:06  glen
- rel 3

Revision 1.48  2006/04/22 17:19:06  glen
- use %else

Revision 1.47  2006/04/22 17:05:33  glen
- rel 2

Revision 1.46  2006/04/22 17:02:49  glen
- wget required by rpm-build-tools, cpio by rpm-build
- don't require browser-plugins for installer

Revision 1.45  2006/04/19 19:28:35  adamg
- triggers for seamonkey

Revision 1.44  2006/03/22 12:30:56  glen
- up to 7.0.63, resolves CVE-2006-0024

Revision 1.43  2005/11/28 12:29:37  glen
- use versioned url

Revision 1.42  2005/11/28 11:53:52  glen
- updated to 7.0.61.0, resolves CVE-2005-2628

Revision 1.41  2005/10/30 21:32:19  qboosh
- unified bcond header

Revision 1.40  2005/10/29 11:18:29  glen
- rel 4

Revision 1.39  2005/10/29 03:38:43  aredridel
- won't work as pre, post-install call installer

Revision 1.38  2005/09/17 17:58:22  glen
- rel 3

Revision 1.37  2005/09/06 17:55:19  glen
- add nice migration triggers

Revision 1.36  2005/08/24 11:35:04  glen
- split version to major and minor vers
- macros not needed for installer package

Revision 1.35  2005/08/23 20:41:27  qboosh
- updated pl desc

Revision 1.34  2005/08/23 20:00:05  glen
- update URL

Revision 1.33  2005/08/23 19:17:50  glen
- unzip unneccessary

Revision 1.32  2005/08/23 19:17:25  glen
- sync requires from w32codec.spec

Revision 1.31  2005/08/23 18:45:30  glen
- make i686 package install on amd64

Revision 1.30  2005/08/23 18:10:13  glen
- require correct arch of browser-plugins

Revision 1.29  2005/08/23 18:02:03  glen
- add opera support

Revision 1.28  2005/08/23 17:56:48  glen
- use shared installer script from SOURCES

Revision 1.27  2005/08/23 17:22:40  glen
- single package with triggers on browser packages

Revision 1.26  2005/08/23 16:47:51  glen
- use without macro

Revision 1.25  2005/08/23 16:45:34  glen
- use non-expanding heredoc redirection for readiness

Revision 1.24  2005/01/21 22:21:34  qboosh
- don't mention netraider, it's dead

Revision 1.23  2004/12/13 12:49:34  ankry
- with license_agreement support, rel. 2

Revision 1.22  2004/06/23 19:13:11  qboosh
- cosmetic

Revision 1.21  2004/06/23 18:43:10  havner
- firefox plugin added

Revision 1.20  2004/05/27 18:19:27  alchemyx
- upgraded to 7.0r25

Revision 1.19  2004/03/16 20:23:11  areq
- Flash Plugin for Browsers 6.0.81 (Flash 6)
- The plugin no longer requires libstdc++.

Revision 1.18  2003/11/26 15:44:40  adgor
- No, it doesn't need whole libstdc++-compat, but only libstdc++-libc6.2-2.so.3,
  which is provided by compat-libstdc++-2.10 package. So libstdc++-compat is
  obsoleted - use compat-libstdc++-* packages instead.

Revision 1.17  2003/11/26 15:20:11  arekm
- mozilla plugin can be used with opera, too so just be nicer for potential user

Revision 1.16  2003/11/24 12:02:37  baggins
- release 4

Revision 1.15  2003/11/24 12:02:21  baggins
- fixed requires

Revision 1.14  2003/11/02 12:56:16  adgor
- Ops.. removed BR compat-libstdc++-2.10

Revision 1.13  2003/11/02 12:33:21  adgor
- Fixed compat-libstdc++ deps

Revision 1.12  2003/10/18 19:53:24  djurban
- removed ra bcond. (use branch)

Revision 1.11  2003/09/11 16:42:50  gotar
- BR: compat-libstdc++-2.10 for proper generation of dependencies,
- release 3.

Revision 1.10  2003/09/01 13:01:20  qboosh
- updated compat-libstdc++ deps

Revision 1.9  2003/08/18 09:46:30  qboosh
- NoSource md5, more specific URL

Revision 1.8  2003/08/18 08:08:19  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.7  2003/05/28 12:59:39  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 05:50:22  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/03/06 13:22:25  aflinta
- updated to version 6.0.79.0

Revision 1.4  2003/03/04 10:47:30  grabba
- added bcond to build in RA environment

Revision 1.3  2003/01/13 10:09:05  adgor
- Prefix /usr
- Release 2

Revision 1.2  2002/12/30 12:46:25  qboosh
- added base package (for src/nosrc.rpm) with new Name (equal spec name)
- 644 for *.xpt

Revision 1.1  2002/12/24 00:00:51  blues
- konqueror and mozilla plugin are build from one spec now.

Revision 1.10  2002/12/23 23:39:02  blues
- updated to 6.0r69 - fixed URL

Revision 1.9  2002/12/09 07:36:26  aflinta
- moved to /usr
- release 4
- note! Latest flash source is from 04/XII/2002 please reget it

Revision 1.8  2002/11/10 18:49:57  wolf
- correct build dir

Revision 1.7  2002/11/08 12:52:05  krzak
- Requires:       libstdc++-compat
- Release 2

Revision 1.6  2002/10/28 12:09:55  grabba
- tested with mozilla 1.0

Revision 1.5  2002/10/28 10:56:25  misiek
- updated to 6.0 beta

Revision 1.4  2002/10/08 12:45:00  misiek
- updated to 5.0r51

Revision 1.3  2002/08/18 12:34:00  blues
- license fix

Revision 1.2  2002/08/12 18:27:34  blues
- 5.0r50 - SECURITY update

Revision 1.1  2002/05/15 16:50:10  saq
- flash-plugin renamed to mozilla-plugin-macromedia-flash
- License forbids distribution!

Revision 1.12  2002/04/25 16:18:26  arturs
- fixed a small typo

Revision 1.11  2002/04/18 10:47:33  misiek
- 5.0r48 (still doesn't work with mozilla 0.9.9

Revision 1.10  2002/03/27 11:05:59  roman
- s/Distribuable/distributable in License

Revision 1.9  2002/03/24 02:04:52  blues
- s/Exclude/Exclusive/

Revision 1.8  2002/02/23 02:06:14  kloczek
- adapterized.

Revision 1.7  2002/02/22 23:28:54  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.6  2002/01/28 10:31:00  marcus
- s/%{x86}/%{ix86}/g

Revision 1.5  2002/01/18 02:12:57  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2001/07/12 14:07:53  kloczek
- ExcludeArch: %{ix86}

Revision 1.3  2001/07/12 14:04:47  kloczek
- cosmetics and some minor changes in macros using.

Revision 1.2  2001/07/07 12:55:51  wrobell
- this specfile is created from template.spec, cut template's changelog

Revision 1.1  2001/07/07 12:51:04  wrobell
- flash plugin for mozilla based browsers
- stb
